import os
import re
import sys
from bs4 import BeautifulSoup


files = os.listdir('.')
files = [file for file in files if file.endswith('.html')]

for filename in files:
    with open(filename) as inputfile:
#        with open(filename + ".txt", 'w') as outputfile:
        text = inputfile.read()
        index = text.find('Artículos')
    soup = BeautifulSoup(text[index:], 'html.parser')

    citations_raw = soup.find_all(string=re.compile("Cita"))

    citations = []
    previous = ""
    for entry in citations_raw:
        if "Citado por" in entry:
            citations.append(entry)
        elif entry == "Citar" and previous == "Citar":
            citations.append("Citado por 0")
        previous = entry
    if citations_raw[-1] == "Citar":
        citations.append("Citado por 0")

    citations = [element.replace('Citado por ', '') if "Citado" in element else '0' for element in citations]

    titles = []
    urls = []
    for link in soup.find_all('a'):
        try:
    #        print(link["id"])
            if 'gs_' not in link["id"]:
                titles.append(link.text)
                urls.append(link['href'])
        except KeyError:
            pass

#    print(filename, len(citations), citations)

    for i in range(len(titles)):
        print('{}; {}; {}'.format(titles[i], citations[i], urls[i]))

